com.massivecraft.factions

## Class Board

- java.lang.Object
- - com.massivecraft.factions.Board

- Direct Known Subclasses:
    MemoryBoard

      public abstract class Board
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Board` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Board()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `clean()`
    `abstract void` | `clearOwnershipAt(FLocation flocation)`
    `abstract void` | `forceSave()`
    `abstract void` | `forceSave(boolean sync)`
    `abstract java.util.Set<FLocation>` | `getAllClaims(Faction faction)`
    `abstract java.util.Set<FLocation>` | `getAllClaims(java.lang.String factionId)`
    `abstract Faction` | `getFactionAt(FLocation flocation)`
    `abstract int` | `getFactionCoordCount(Faction faction)`
    `abstract int` | `getFactionCoordCount(java.lang.String factionId)`
    `abstract int` | `getFactionCoordCountInWorld(Faction faction, java.lang.String worldName)`
    `abstract java.lang.String` | `getIdAt(FLocation flocation)`
    `static Board` | `getInstance()`
    `abstract java.util.ArrayList<mkremins.fanciful.FancyMessage>` | `getMap(FPlayer fPlayer, FLocation flocation, double inDegrees)` The map is relative to a coord and a faction north is in the direction of decreasing x east is in the direction of decreasing z
    `abstract boolean` | `hasFactionWithin(FLocation flocation, Faction faction, int radius)`
    `abstract boolean` | `isBorderLocation(FLocation flocation)`
    `abstract boolean` | `isConnectedLocation(FLocation flocation, Faction faction)`
    `abstract boolean` | `load()`
    `abstract void` | `removeAt(FLocation flocation)`
    `abstract void` | `setFactionAt(Faction faction, FLocation flocation)`
    `abstract void` | `setIdAt(java.lang.String id, FLocation flocation)`
    `abstract void` | `unclaimAll(java.lang.String factionId)`
    `abstract void` | `unclaimAllInWorld(java.lang.String factionId, org.bukkit.World world)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          protected static Board instance

  - ### Constructor Detail

    - #### Board

          public Board()

  - ### Method Detail

    - #### getInstance

          public static Board getInstance()

    - #### getIdAt

          public abstract java.lang.String getIdAt(FLocation flocation)

    - #### getFactionAt

          public abstract Faction getFactionAt(FLocation flocation)

    - #### setIdAt

          public abstract void setIdAt(java.lang.String id,
                                       FLocation flocation)

    - #### setFactionAt

          public abstract void setFactionAt(Faction faction,
                                            FLocation flocation)

    - #### removeAt

          public abstract void removeAt(FLocation flocation)

    - #### getAllClaims

          public abstract java.util.Set<FLocation> getAllClaims(java.lang.String factionId)

    - #### getAllClaims

          public abstract java.util.Set<FLocation> getAllClaims(Faction faction)

    - #### clearOwnershipAt

          public abstract void clearOwnershipAt(FLocation flocation)

    - #### unclaimAll

          public abstract void unclaimAll(java.lang.String factionId)

    - #### unclaimAllInWorld

          public abstract void unclaimAllInWorld(java.lang.String factionId,
                                                 org.bukkit.World world)

    - #### isBorderLocation

          public abstract boolean isBorderLocation(FLocation flocation)

    - #### isConnectedLocation

          public abstract boolean isConnectedLocation(FLocation flocation,
                                                      Faction faction)

    - #### hasFactionWithin

          public abstract boolean hasFactionWithin(FLocation flocation,
                                                   Faction faction,
                                                   int radius)

    - #### clean

          public abstract void clean()

    - #### getFactionCoordCount

          public abstract int getFactionCoordCount(java.lang.String factionId)

    - #### getFactionCoordCount

          public abstract int getFactionCoordCount(Faction faction)

    - #### getFactionCoordCountInWorld

          public abstract int getFactionCoordCountInWorld(Faction faction,
                                                          java.lang.String worldName)

    - #### getMap

          public abstract java.util.ArrayList<mkremins.fanciful.FancyMessage> getMap(FPlayer fPlayer,
                                                                                     FLocation flocation,
                                                                                     double inDegrees)

      The map is relative to a coord and a faction north is in the direction of decreasing x east is in the direction of decreasing z

    - #### forceSave

          public abstract void forceSave()

    - #### forceSave

          public abstract void forceSave(boolean sync)

    - #### load

          public abstract boolean load()